INTERFACE
SUBROUTINE CALL_SL(&
 & CDCONF,&
 & KVSEPC,KVSEPL,PB1,PB2,PGFLT1,&
 & PUP9,PVP9,PTP9,PGFLP9) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMSC2 , ONLY : NSLWIDE ,NFLDSLB1 ,NFLDSLB2
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NGPBLKS ,&
 & NDGLG ,NDGSAG ,NDGENG ,NDGSAL ,NDGENL ,NFLSUL 
USE YOM_YGFL , ONLY : YGFL ,YQ
USE YOMMP , ONLY : NASLB1 ,NSLPROCS ,&
 & NSLRPT ,NSLSPT ,NSLSENDPOS,&
 & NSLRECVPOS,NSENDPTR ,NRECVPTR ,NSLCOMM ,&
 & NSLSTA ,NSLONL ,NSLOFF ,NFRSTLOFF ,&
 & MYFRSTACTLAT ,MYLSTACTLAT 
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPC(NGPBLKS)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPL(NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUP9(NPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVP9(NPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTP9(NPROMA,NFLEVG,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLP9(NPROMA,NFLEVG,YGFL%NUMFLDS,NGPBLKS)
END SUBROUTINE CALL_SL
END INTERFACE
